Bug 65677 - RFE: "binoffset" utility is missing
RFE: "binoffset" utility is missing
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-05-29 17:50 EDT by Robert P. J. Day
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2002-05-29 17:50:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
  the 2.4.18-4 kernel source supports an option, "Kernel .config
option," that allows the .config file used to build a kernel to
be embedded in a kernel, which can then be extracted later.

  the extraction script is apparently the file
/usr/src/linux/scripts/extract-ikconfig, which calls the
program "binoffset".  the binoffset program does not exist
in this distribution anywhere, but is available on the net
by perusing the LKML mailing lists.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  run "extract-ikconfig"

Actual Results:  fails with "binoffset" not found

Expected Results:  binoffset should be part of the distribution so that this
script works

Additional info:

Comment 1 Robert P. J. Day 2002-12-26 17:26:08 EST
  this problem still exists in rh 8.0, with the 
2.4.20-2.2 kernel.  will anything ever be done
about it?
Comment 2 Arjan van de Ven 2002-12-27 06:07:13 EST
To be honest I see little point in the embedding of the .config (and I expect it
to not be there forever in the source either).
Comment 3 Robert P. J. Day 2002-12-27 06:26:51 EST
  well, it seems that it should be one or the other.  either that
feature should be fully supported, or the script and kernel config
feature that supports that should be removed, no?
Comment 4 Arjan van de Ven 2002-12-27 06:39:49 EST
Ehmm.. that's why the option is off....
I hope you don't mean that Red Hat should patch out all config options that
aren't suppored because that would mean a) a lot of work and b) that people who
want to use things like devfs or reiserfs would get rather upset...
Comment 5 Robert P. J. Day 2002-12-27 08:25:57 EST
  i'm confused.  why should it matter whether the option is "off"?
when i run "make xconfig", i can clearly select whether or not to
embed config info in the new kernel.

  if this feature is supposed to work, it should be fixed.  if, 
on the other hand, it's deprecated, then it should be removed.

  it's unacceptably misleading to display a kernel config option
that suggests a certain feature exists when it clearly does not.

  and this has nothing to do with analogous support for reiserfs or
devfs -- the shell script "extract-ikconfig" exists in the scripts/
directory in the kernel source tree, so this again suggests that
that feature should be there.  if one (apparently) builds config
info into the kernel, and tries to get that info back later by
running "extract-ikconfig", that script fails.

  that's a bug.
Comment 6 Bugzilla owner 2004-09-30 11:39:38 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.